
#ifndef CUDAKERNELS_H_
#define CUDAKERNELS_H_

#include "headers2.h"
using namespace std;

void printGPUinfo(int& block_size, int GPUindex);
void cudaPrintOn();
void cudaPrintOff();
void cudaPrintExample();

void concurrentMatrixMul(float* h_C, const float* h_A, const float* h_B,
		float* d_A, float* d_B, float* d_C);

void calcSpatialNNLSprior(const float* distributions, float* distributions_prior, const int rowN,
		const int columnN, const int sliceN, float NL_control);


#endif /* CUDAKERNELS_H_ */
